<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CachedObjectsArrays Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d69/class_cached_objects_arrays.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CachedObjectsArrays Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:aaf684438ad38c38dc8f60fdb62226a22"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/class_cached_objects_arrays.html#aaf684438ad38c38dc8f60fdb62226a22">Init</a> ()</td></tr>
<tr class="separator:aaf684438ad38c38dc8f60fdb62226a22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a0cd2c080d9ad88af995a8a9dee50b7ff"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/class_cached_objects_arrays.html#a0cd2c080d9ad88af995a8a9dee50b7ff">ARRAY_STRING</a></td></tr>
<tr class="separator:a0cd2c080d9ad88af995a8a9dee50b7ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae39639c5b838ac3d868fb9032432182f"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d5/d78/group___enforce.html#ga16d7a64e09e3d0ea3b844c738952c972">TFloatArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/class_cached_objects_arrays.html#ae39639c5b838ac3d868fb9032432182f">ARRAY_FLOAT</a></td></tr>
<tr class="separator:ae39639c5b838ac3d868fb9032432182f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a814146c00e27ef7f4293303057d1e671"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d5/d78/group___enforce.html#ga62db042ecba76039a4391153a4660c2c">TIntArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/class_cached_objects_arrays.html#a814146c00e27ef7f4293303057d1e671">ARRAY_INT</a></td></tr>
<tr class="separator:a814146c00e27ef7f4293303057d1e671"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d47/_utility_classes_8c_source.html#l00040">40</a> of file <a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aaf684438ad38c38dc8f60fdb62226a22" name="aaf684438ad38c38dc8f60fdb62226a22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf684438ad38c38dc8f60fdb62226a22">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void CachedObjectsArrays::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d47/_utility_classes_8c_source.html#l00042">42</a> of file <a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae39639c5b838ac3d868fb9032432182f" name="ae39639c5b838ac3d868fb9032432182f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae39639c5b838ac3d868fb9032432182f">&#9670;&#160;</a></span>ARRAY_FLOAT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/d78/group___enforce.html#ga16d7a64e09e3d0ea3b844c738952c972">TFloatArray</a> CachedObjectsArrays::ARRAY_FLOAT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d47/_utility_classes_8c_source.html#l00050">50</a> of file <a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a>.</p>

</div>
</div>
<a id="a814146c00e27ef7f4293303057d1e671" name="a814146c00e27ef7f4293303057d1e671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a814146c00e27ef7f4293303057d1e671">&#9670;&#160;</a></span>ARRAY_INT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/d78/group___enforce.html#ga62db042ecba76039a4391153a4660c2c">TIntArray</a> CachedObjectsArrays::ARRAY_INT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d47/_utility_classes_8c_source.html#l00051">51</a> of file <a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a>.</p>

</div>
</div>
<a id="a0cd2c080d9ad88af995a8a9dee50b7ff" name="a0cd2c080d9ad88af995a8a9dee50b7ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cd2c080d9ad88af995a8a9dee50b7ff">&#9670;&#160;</a></span>ARRAY_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a> CachedObjectsArrays::ARRAY_STRING</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d47/_utility_classes_8c_source.html#l00049">49</a> of file <a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../de/d47/_utility_classes_8c_source.html">UtilityClasses.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d69/class_cached_objects_arrays.html">CachedObjectsArrays</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
